%global momorel 7

Summary:	Syslog module for perl 
Name:		perl-Unix-Syslog
Version:	1.1
Release:	%{momorel}m%{?dist}
License:	Artistic
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/Unix/Unix-Syslog-%{version}.tar.gz
NoSource:	0
Url:		http://www.cpan.org/authors/id/M/MH/MHARNISCH/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 5.8.5

%description
Syslog module for perl

%prep
%setup -q -n Unix-Syslog-%{version} 

%build
CFLAGS="%optflags" perl Makefile.PL INSTALLDIRS=vendor
make
# make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}%{perl_vendorarch}/auto/Unix/Syslog/.packlist

%files
%defattr(-,root,root)
%doc Artistic Changes README
%{_mandir}/man?/*
%{perl_vendorarch}/Unix
%{perl_vendorarch}/auto/Unix

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-2m)
- rebuild against rpm-4.6

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-1m)
- update to 1.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-2m)
- rebuild against gcc43

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.100-10m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.100-9m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.100-8m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.100-7m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.100-6m)
- remove Epoch from BuildRequires

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.100-5m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.100-4m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.100-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.100-2m)
- rebuild against perl-5.8.0

* Sun Sep 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.100-1m)

* Wed Mar 13 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.98-2k)
- update to 0.98
- cleanup spec

* Wed Jan 16 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.95-2k)
- Kondarize.

* Mon Aug 27 2001 Ramiro morales <rmrpms@usa.net>
- Build on RHL 6.2
- Use full Source url
- s/Copyright/License/
- Include docs

* Mon Aug 27 2001 root <root@redhat.com>
- Spec file was autogenerated. 
